#ifndef MGACCURACY_H
#define MGACCURACY_H

//
// This File contains the declaration of the MGCoordinates-class
//
//   Author: Thomas Bretz
//   Version: V1.0 (1-8-2000)

#ifndef MGEMBEDDEDCANVAS_H
#include "MGEmbeddedCanvas.h"
#endif

class TList;
class TLine;
class TText;
class TCanvas;

class ZdAz;
class SlaPlanets;

class MGAccuracy : public MGEmbeddedCanvas
{
    TLine  *fLin1;
    TLine  *fLin2;

    TText  *fTxt;

    void DrawCoordinateSystem();

    void InitText();
    void InitCross();

    void UpdateText(Float_t zd, Float_t x, Float_t y);
    void UpdateCross(Float_t x, Float_t y);

public:
    MGAccuracy(const TGWindow* p, const UInt_t w);
    ~MGAccuracy();

    void Update(ZdAz &pos, ZdAz &acc);
};

#endif // MGSKYPOSITION_H
